Bug 15796 - C4::Koha - get_itemtypeinfos_of is not used anymore
Summary: C4::Koha - get_itemtypeinfos_of is not used anymore
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 15779
  Show dependency treegraph
 
Reported: 2016-02-11 13:37 UTC by Jonathan Druart
Modified: 2017-06-14 22:08 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15796: Remove C4::Koha::get_itemtypeinfos_of (1.27 KB, patch)
2016-02-11 13:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15796: Remove C4::Koha::get_itemtypeinfos_of (1.37 KB, patch)
2016-02-12 10:44 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 15796: Remove C4::Koha::get_itemtypeinfos_of (1.41 KB, patch)
2016-02-12 16:20 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-02-11 13:37:45 UTC
These 2 subroutines are no longer in use and can be removed.
Comment 1 Jonathan Druart 2016-02-11 13:51:33 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2016-02-11 13:52:22 UTC
(In reply to Jonathan Druart from comment #0)
> These 2 subroutines are no longer in use and can be removed.

C4::Koha::get_infos_of is still used!
Comment 3 Marcel de Rooy 2016-02-12 10:44:58 UTC Comment hidden (obsolete)
Comment 4 Tomás Cohen Arazi 2016-02-12 16:20:28 UTC
Created attachment 48002 [details] [review]
Bug 15796: Remove C4::Koha::get_itemtypeinfos_of

This subroutine is no longer in use.

Test plan:
  git grep get_itemtypeinfos_of
should not return any results.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Tomas Cohen Arazi <tomascohen@unc.edu.ar>
Trivial and needed removal.
Comment 5 Brendan Gallagher 2016-02-24 03:46:18 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks